Vue/Inline editors
Loading live demo…from dhtmlx.github.io
Vue
Inline editors
Use custom inline editors for text, duration, and date fields directly in the Gantt grid.
- Demo.vue
- DateEditor.vue
- DurationEditor.vue
- TextEditor.vue
- shared/applyBatchChanges.ts
- shared/date.ts
- shared/projectData.ts
src/examples/inline-editors/Demo.vue View on GitHub
<script setup lang="ts">
import { ref } from "vue";
import {
VueGantt,
type BatchChanges,
type GanttConfigOptions,
type Link,
type Task
} from "@dhtmlx/trial-vue-gantt";
import "@dhtmlx/trial-vue-gantt/dist/vue-gantt.css";
import { applyBatchChanges } from "../shared/applyBatchChanges";
import { formatDateYMD } from "../shared/date";
import { createProjectData } from "../shared/projectData";
import DateEditor from "./editors/DateEditor.vue";
import DurationEditor from "./editors/DurationEditor.vue";
import TextEditor from "./editors/TextEditor.vue";
const dataSet = createProjectData();
const tasks = ref<Task[]>(dataSet.tasks);
const links = ref<Link[]>(dataSet.links);
const config: Partial<GanttConfigOptions> = {
row_height: 40,
scale_height: 68,
scales: [
{ unit: "year", step: 1, format: "%Y" },
{ unit: "month", step: 1, format: "%F, %Y" },
{ unit: "day", step: 1, format: "%d %M" }
],
columns: [
{
name: "text",
tree: true,
width: 220,
resize: true,
editor: { type: "TextEditor", map_to: "text" }
},
{
name: "start_date",
align: "center",
width: 170,
resize: true,
template: (task: Task) => formatDateYMD(task.start_date),
editor: { type: "DateEditor", map_to: "start_date", min: 0 }
},
{
name: "duration",
align: "center",
width: 90,
resize: true,
editor: { type: "DurationEditor", map_to: "duration", min: 0 }
},
{ name: "add", width: 44 }
]
};
const inlineEditors = {
TextEditor,
DurationEditor,
DateEditor
};
const data = {
batchSave: (changes: BatchChanges) => {
const next = applyBatchChanges(tasks.value, links.value, changes);
tasks.value = next.tasks;
links.value = next.links;
}
};
</script>
<template>
<section class="demo-panel" data-cy="inline-editors-demo">
<VueGantt
class="demo-gantt"
:tasks="tasks"
:links="links"
:config="config"
:inlineEditors="inlineEditors"
:data="data"
/>
</section>
</template>
src/examples/inline-editors/editors/DateEditor.vue View on GitHub
<script setup lang="ts">
import { nextTick, onMounted, onUpdated, ref, watch } from "vue";
import { formatDateYMD, parseInputDate } from "../../shared/date";
interface DateEditorProps {
initialValue: any;
save: () => void;
cancel: () => void;
}
const props = defineProps<DateEditorProps>();
const inputRef = ref<any>(null);
const value = ref("");
const normalize = (nextValue: any) => {
if (nextValue === null || nextValue === undefined || nextValue === "") {
return "";
}
return formatDateYMD(nextValue);
};
watch(
() => props.initialValue,
nextValue => {
value.value = normalize(nextValue);
},
{ immediate: true }
);
const getInputElement = () => {
const candidate = inputRef.value?.$el ?? inputRef.value;
if (!candidate || typeof candidate.querySelector !== "function") {
return null;
}
return candidate.querySelector("input") as HTMLInputElement | null;
};
const syncInputHook = () => {
const input = getInputElement();
input?.setAttribute("data-cy", "inline-date-input");
return input;
};
const focus = () => {
inputRef.value?.focus?.();
syncInputHook()?.focus();
};
const setValue = (nextValue: any) => {
value.value = normalize(nextValue);
};
const getValue = () => parseInputDate(value.value);
const isChanged = (rawValue: any) => normalize(rawValue) !== value.value;
const isValid = () => Boolean(value.value);
const save = () => props.save();
onMounted(async () => {
await nextTick();
syncInputHook();
focus();
});
onUpdated(() => {
syncInputHook();
});
defineExpose({
focus,
setValue,
getValue,
isChanged,
isValid,
save
});
</script>
<template>
<v-sheet class="editor-shell" border elevation="2" rounded="lg" data-cy="inline-date-editor">
<v-text-field
ref="inputRef"
v-model="value"
class="editor-field editor-field-date"
density="compact"
hide-details
type="date"
variant="outlined"
/>
</v-sheet>
</template>
<style scoped>
.editor-shell {
display: flex;
align-items: center;
gap: 8px;
border-radius: var(--dhx-gantt-border-radius);
/* padding: 6px; */
background: #fff;
border: 1px solid #b7c8d8;
}
.editor-field {
flex: 0 0 auto;
}
.editor-field-date {
width: 100%;
min-width: 100%;
}
</style>
src/examples/inline-editors/editors/DurationEditor.vue View on GitHub
<script setup lang="ts">
import { nextTick, onMounted, ref, watch } from "vue";
interface DurationEditorProps {
initialValue: any;
save: () => void;
cancel: () => void;
}
const props = defineProps<DurationEditorProps>();
const inputRef = ref<any>(null);
const value = ref(1);
const normalize = (nextValue: any) => {
const numberValue = Number(nextValue);
if (Number.isNaN(numberValue) || numberValue < 0) {
return 0;
}
return numberValue;
};
watch(
() => props.initialValue,
nextValue => {
value.value = normalize(nextValue);
},
{ immediate: true }
);
const getInputElement = () => {
const candidate = inputRef.value?.$el ?? inputRef.value;
if (!candidate || typeof candidate.querySelector !== "function") {
return null;
}
return candidate.querySelector("input") as HTMLInputElement | null;
};
const focus = () => {
inputRef.value?.focus?.();
getInputElement()?.focus();
};
const setValue = (nextValue: any) => {
value.value = normalize(nextValue);
};
const onModelUpdate = (nextValue: any) => {
value.value = normalize(nextValue);
};
const getValue = () => value.value;
const isChanged = (rawValue: any) => normalize(rawValue) !== value.value;
const isValid = () => value.value >= 0;
const save = () => props.save();
onMounted(async () => {
await nextTick();
focus();
});
defineExpose({
focus,
setValue,
getValue,
isChanged,
isValid,
save
});
</script>
<template>
<v-sheet class="editor-shell" border elevation="2" rounded="lg">
<v-text-field
ref="inputRef"
:model-value="String(value)"
class="editor-field editor-field-duration"
density="compact"
hide-details
min="0"
step="1"
type="number"
variant="outlined"
@update:model-value="onModelUpdate"
/>
</v-sheet>
</template>
<style scoped>
.editor-shell {
display: flex;
align-items: center;
gap: 8px;
background: #fff;
}
.editor-field {
flex: 0 0 auto;
}
.editor-field-duration {
width: 100%;
min-width: 100%;
}
</style>
src/examples/inline-editors/editors/TextEditor.vue View on GitHub
<script setup lang="ts">
import { nextTick, onMounted, ref, watch } from "vue";
interface TextEditorProps {
initialValue: any;
save: () => void;
cancel: () => void;
}
const props = defineProps<TextEditorProps>();
const inputRef = ref<any>(null);
const value = ref("");
const normalize = (nextValue: any) => String(nextValue ?? "");
watch(
() => props.initialValue,
nextValue => {
value.value = normalize(nextValue);
},
{ immediate: true }
);
const getInputElement = () => {
const candidate = inputRef.value?.$el ?? inputRef.value;
if (!candidate || typeof candidate.querySelector !== "function") {
return null;
}
return candidate.querySelector("input") as HTMLInputElement | null;
};
const focus = () => {
inputRef.value?.focus?.();
getInputElement()?.focus();
};
const setValue = (nextValue: any) => {
value.value = normalize(nextValue);
};
const getValue = () => value.value;
const isChanged = (rawValue: any) => normalize(rawValue) !== value.value;
const isValid = () => value.value.trim().length > 0;
const save = () => props.save();
onMounted(async () => {
await nextTick();
focus();
});
defineExpose({
focus,
setValue,
getValue,
isChanged,
isValid,
save
});
</script>
<template>
<v-sheet class="editor-shell" border elevation="2" rounded="lg">
<v-text-field
ref="inputRef"
v-model="value"
class="editor-field editor-field-text"
density="compact"
hide-details
type="text"
variant="outlined"
/>
</v-sheet>
</template>
<style scoped>
.editor-shell {
display: flex;
align-items: center;
gap: 8px;
background: #fff;
}
.editor-field {
flex: 0 0 auto;
}
.editor-field-text {
width: 100%;
min-width: 100%;
}
</style>
src/examples/shared/applyBatchChanges.ts View on GitHub
import type { BatchChanges, DataCallbackChange, Link, Task } from "@dhtmlx/trial-vue-gantt";
const toId = (value: string | number) => String(value);
export function applyTaskChanges(prevTasks: Task[], changes: DataCallbackChange[] = []): Task[] {
const nextTasks = [...prevTasks];
changes.forEach(change => {
const index = nextTasks.findIndex(task => toId(task.id as string | number) === toId(change.id));
if (change.action === "update" && index !== -1) {
nextTasks[index] = { ...nextTasks[index], ...(change.data as Task) };
return;
}
if (change.action === "create") {
nextTasks.push(change.data as Task);
return;
}
if (change.action === "delete" && index !== -1) {
nextTasks.splice(index, 1);
}
});
return nextTasks;
}
export function applyLinkChanges(prevLinks: Link[], changes: DataCallbackChange[] = []): Link[] {
const nextLinks = [...prevLinks];
changes.forEach(change => {
const index = nextLinks.findIndex(link => toId(link.id as string | number) === toId(change.id));
if (change.action === "update" && index !== -1) {
nextLinks[index] = { ...nextLinks[index], ...(change.data as Link) };
return;
}
if (change.action === "create") {
nextLinks.push(change.data as Link);
return;
}
if (change.action === "delete" && index !== -1) {
nextLinks.splice(index, 1);
}
});
return nextLinks;
}
export function applyBatchChanges(
tasks: Task[],
links: Link[],
changes: BatchChanges
): { tasks: Task[]; links: Link[] } {
return {
tasks: applyTaskChanges(tasks, changes.tasks),
links: applyLinkChanges(links, changes.links)
};
}
src/examples/shared/date.ts View on GitHub
const pad = (value: number) => String(value).padStart(2, "0");
export function formatDateYMD(input: unknown): string {
const date = input instanceof Date ? input : new Date(input as string | number | Date);
if (Number.isNaN(date.getTime())) {
return "";
}
const year = date.getFullYear();
const month = pad(date.getMonth() + 1);
const day = pad(date.getDate());
return `${year}-${month}-${day}`;
}
export function parseInputDate(input: string): Date {
const [year, month, day] = input.split("-").map(Number);
if (!year || !month || !day) {
return new Date(input);
}
return new Date(year, month - 1, day);
}
src/examples/shared/projectData.ts View on GitHub
import type { Link, Task } from "@dhtmlx/trial-vue-gantt";
const baseTasks: Task[] = [
{ id: 1, text: "Office itinerancy", type: "project", start_date: new Date(2026, 6, 2), duration: 17, progress: 0.4, parent: 0, open: true },
{ id: 2, text: "Office facing", type: "project", start_date: new Date(2026, 6, 2), duration: 8, progress: 0.6, parent: 1, open: true },
{ id: 3, text: "Furniture installation", type: "project", start_date: new Date(2026, 6, 11), duration: 8, progress: 0.6, parent: 1, open: true },
{ id: 4, text: "The employee relocation", type: "project", start_date: new Date(2026, 6, 13), duration: 5, progress: 0.5, parent: 1, priority: 3, open: true },
{ id: 5, text: "Interior office", type: "task", start_date: new Date(2026, 6, 3), duration: 7, progress: 0.6, parent: 2, priority: 1 },
{ id: 6, text: "Air conditioners check", type: "task", start_date: new Date(2026, 6, 3), duration: 7, progress: 0.6, parent: 2, priority: 2 },
{ id: 7, text: "Workplaces preparation", type: "task", start_date: new Date(2026, 6, 12), duration: 8, progress: 0.6, parent: 3 },
{ id: 8, text: "Preparing workplaces", type: "task", start_date: new Date(2026, 6, 14), duration: 5, progress: 0.5, parent: 4, priority: 1 },
{ id: 9, text: "Workplaces importation", type: "task", start_date: new Date(2026, 6, 21), duration: 4, progress: 0.5, parent: 4 },
{ id: 10, text: "Workplaces exportation", type: "task", start_date: new Date(2026, 6, 27), duration: 3, progress: 0.5, parent: 4, priority: 2 },
{ id: 11, text: "Product launch", type: "project", start_date: new Date(2026, 6, 2), duration: 13, progress: 0.6, parent: 0, open: true },
{ id: 12, text: "Perform Initial testing", type: "task", start_date: new Date(2026, 6, 3), duration: 5, progress: 1, parent: 11 },
{ id: 13, text: "Development", type: "project", start_date: new Date(2026, 6, 3), duration: 11, progress: 0.5, parent: 11, open: true },
{ id: 14, text: "Analysis", type: "task", start_date: new Date(2026, 6, 3), duration: 6, progress: 0.8, parent: 11 },
{ id: 15, text: "Design", type: "project", start_date: new Date(2026, 6, 3), duration: 5, progress: 0.2, parent: 11, open: true },
{ id: 16, text: "Documentation creation", type: "task", start_date: new Date(2026, 6, 3), duration: 7, progress: 0, parent: 11, priority: 1 },
{ id: 17, text: "Develop System", type: "task", start_date: new Date(2026, 6, 3), duration: 2, progress: 1, parent: 13, priority: 2 },
{ id: 25, text: "Beta Release", type: "milestone", start_date: new Date(2026, 6, 6), duration: 0, progress: 0, parent: 13 },
{ id: 18, text: "Integrate System", type: "task", start_date: new Date(2026, 6, 10), duration: 2, progress: 0.8, parent: 13, priority: 3 },
{ id: 19, text: "Test", type: "task", start_date: new Date(2026, 6, 13), duration: 4, progress: 0.2, parent: 13 },
{ id: 20, text: "Marketing", type: "task", start_date: new Date(2026, 6, 13), duration: 4, progress: 0, parent: 13, priority: 1 },
{ id: 21, text: "Design database", type: "task", start_date: new Date(2026, 6, 3), duration: 4, progress: 0.5, parent: 15 },
{ id: 22, text: "Software design", type: "task", start_date: new Date(2026, 6, 3), duration: 4, progress: 0.1, parent: 15, priority: 1 },
{ id: 23, text: "Interface setup", type: "task", start_date: new Date(2026, 6, 3), duration: 5, progress: 0, parent: 15, priority: 1 },
{ id: 24, text: "Release v1.0", type: "milestone", start_date: new Date(2026, 6, 18), duration: 0, progress: 0, parent: 11 }
];
const baseLinks: Link[] = [
{ id: 2, source: 2, target: 3, type: "0" },
{ id: 3, source: 3, target: 4, type: "0" },
{ id: 7, source: 8, target: 9, type: "0" },
{ id: 8, source: 9, target: 10, type: "0" },
{ id: 16, source: 17, target: 25, type: "0" },
{ id: 17, source: 18, target: 19, type: "0" },
{ id: 18, source: 19, target: 20, type: "0" },
{ id: 22, source: 13, target: 24, type: "0" },
{ id: 23, source: 25, target: 18, type: "0" }
];
const cloneDate = (value: Date | undefined): Date | undefined => {
if (value instanceof Date) {
return new Date(value.getTime());
}
return value;
};
const cloneTask = (task: Task): Task => {
const next: Task = { ...task };
next.start_date = cloneDate(task.start_date);
next.end_date = cloneDate(task.end_date);
return next;
};
const cloneLink = (link: Link): Link => ({ ...link });
export function createProjectData() {
return {
tasks: baseTasks.map(cloneTask),
links: baseLinks.map(cloneLink)
};
}

React/Inline editors
Loading live demo…from dhtmlx.github.io
React
Inline editors
Use custom inline editors for text, duration, and date fields directly in the Gantt grid.
- Demo.jsx
- TextEditor.tsx
- DurationEditor.tsx
- DateEditor.tsx
- Styles.css
src/examples/inline-editors/Demo.jsx View on GitHub
import { useEffect, useRef } from 'react';
import ReactGantt from "@dhtmlx/trial-react-gantt";
import "@dhtmlx/trial-react-gantt/dist/react-gantt.css";
import TextEditor from "./InlineEditors/TextEditor";
import DurationEditor from "./InlineEditors/DurationEditor";
import DateEditor from "./InlineEditors/DateEditor";
import './Styles.css'
export default function BasicInitDemo() {
const ganttRef = useRef(null);
useEffect(() => {
document.title = "DHTMLX React Gantt | Inline Editors";
}, []);
const config = {
scale_height: 70,
row_height: 40,
scales: [
{ unit: "year", step: 1, format: "%Y" },
{ unit: "month", step: 1, format: "%F, %Y" },
{ unit: "day", step: 1, format: "%d %M" },
],
columns: [
{
name: "text",
tree: true,
width: 200,
resize: true,
editor: { type: "TextEditor", map_to: "text" }
},
{
name: "start_date",
align: "center",
width: 150,
resize: true,
editor: { type: "DateEditor", map_to: "start_date", min: 0 }
},
{ name: "duration",
align: "center",
resize: true,
editor: { type: "DurationEditor", map_to: "duration", min: 0 }
},
{ name: "add", width: 44 },
],
};
useEffect(() => {
//const gantt = ganttRef.current?.instance;
}, []);
return (
<div className="demo-container">
<title>DHTMLX React Gantt | Inline Editors</title>
<ReactGantt
tasks={[
{ id: 1, text: "Office itinerancy", type: "project", start_date: new Date(2025, 3, 2), duration: 17, progress: 0.4, parent: 0, open: true },
{ id: 2, text: "Office facing", type: "project", start_date: new Date(2025, 3, 2), duration: 8, progress: 0.6, parent: 1, open: true },
{ id: 3, text: "Furniture installation", type: "project", start_date: new Date(2025, 3, 11), duration: 8, progress: 0.6, parent: 1, open: true },
{ id: 4, text: "The employee relocation", type: "project", start_date: new Date(2025, 3, 13), duration: 5, progress: 0.5, parent: 1, priority: 3, open: true },
{ id: 5, text: "Interior office", type: "task", start_date: new Date(2025, 3, 3), duration: 7, progress: 0.6, parent: 2, priority: 1 },
{ id: 6, text: "Air conditioners check", type: "task", start_date: new Date(2025, 3, 3), duration: 7, progress: 0.6, parent: 2, priority: 2 },
{ id: 7, text: "Workplaces preparation", type: "task", start_date: new Date(2025, 3, 12), duration: 8, progress: 0.6, parent: 3 },
{ id: 8, text: "Preparing workplaces", type: "task", start_date: new Date(2025, 3, 14), duration: 5, progress: 0.5, parent: 4, priority: 1 },
{ id: 9, text: "Workplaces importation", type: "task", start_date: new Date(2025, 3, 21), duration: 4, progress: 0.5, parent: 4 },
{ id: 10, text: "Workplaces exportation", type: "task", start_date: new Date(2025, 3, 27), duration: 3, progress: 0.5, parent: 4, priority: 2 },
{ id: 11, text: "Product launch", type: "project", start_date: new Date(2025, 3, 2), duration: 13, progress: 0.6, parent: 0, open: true },
{ id: 12, text: "Perform Initial testing", type: "task", start_date: new Date(2025, 3, 3), duration: 5, progress: 1, parent: 11 },
{ id: 13, text: "Development", type: "project", start_date: new Date(2025, 3, 3), duration: 11, progress: 0.5, parent: 11, open: true },
{ id: 14, text: "Analysis", type: "task", start_date: new Date(2025, 3, 3), duration: 6, progress: 0.8, parent: 11 },
{ id: 15, text: "Design", type: "project", start_date: new Date(2025, 3, 3), duration: 5, progress: 0.2, parent: 11, open: true },
{ id: 16, text: "Documentation creation", type: "task", start_date: new Date(2025, 3, 3), duration: 7, progress: 0, parent: 11, priority: 1 },
{ id: 17, text: "Develop System", type: "task", start_date: new Date(2025, 3, 3), duration: 2, progress: 1, parent: 13, priority: 2 },
{ id: 25, text: "Beta Release", type: "milestone", start_date: new Date(2025, 3, 6), duration: 0, progress: 0, parent: 13 },
{ id: 18, text: "Integrate System", type: "task", start_date: new Date(2025, 3, 10), duration: 2, progress: 0.8, parent: 13, priority: 3 },
{ id: 19, text: "Test", type: "task", start_date: new Date(2025, 3, 13), duration: 4, progress: 0.2, parent: 13 },
{ id: 20, text: "Marketing", type: "task", start_date: new Date(2025, 3, 13), duration: 4, progress: 0, parent: 13, priority: 1 },
{ id: 21, text: "Design database", type: "task", start_date: new Date(2025, 3, 3), duration: 4, progress: 0.5, parent: 15 },
{ id: 22, text: "Software design", type: "task", start_date: new Date(2025, 3, 3), duration: 4, progress: 0.1, parent: 15, priority: 1 },
{ id: 23, text: "Interface setup", type: "task", start_date: new Date(2025, 3, 3), duration: 5, progress: 0, parent: 15, priority: 1 },
{ id: 24, text: "Release v1.0", type: "milestone", start_date: new Date(2025, 3, 18), duration: 0, progress: 0, parent: 11 }
]}
ref={ganttRef}
config={config}
inlineEditors={{
TextEditor: TextEditor,
DurationEditor: DurationEditor,
DateEditor: DateEditor
}}
/>
</div>
);
}
src/examples/inline-editors/InlineEditors/TextEditor.tsx View on GitHub
import React, {
useState,
forwardRef,
useImperativeHandle
} from 'react';
import { InlineEditorMethods, InlineEditorProps } from '@dhtmlx/trial-react-gantt';
const TextEditor = forwardRef<InlineEditorMethods, InlineEditorProps>(
({ initialValue, task, save, cancel, ganttInstance }, ref) => {
const [value, setValue] = useState(initialValue || "");
useImperativeHandle(ref, (): InlineEditorMethods => ({
getValue: () => value,
setValue: (val: any) => setValue(val),
isValid: () => true,
focus: () => {
},
isChanged: (originalValue: any) => {
return originalValue !== value;
},
save: () => { }
}));
return (
<input
type="text"
value={value}
onChange={e => setValue(e.target.value)}
autoFocus
/>
);
}
);
export default TextEditor;
src/examples/inline-editors/InlineEditors/DurationEditor.tsx View on GitHub
import React, {
useState,
forwardRef,
useImperativeHandle,
Ref
} from 'react';
import { InlineEditorMethods } from '@dhtmlx/trial-react-gantt';
import TextField from "@mui/material/TextField";
interface DurationEditorProps {
initialValue: any;
}
const DurationEditor = forwardRef<InlineEditorMethods, DurationEditorProps>(
({ initialValue }, ref) => {
const [value, setValue] = useState(initialValue || "");
useImperativeHandle(ref, (): InlineEditorMethods => ({
getValue: () => +value,
setValue: (val: any) => setValue(val),
isValid: () => true,
focus: () => {
},
isChanged: (originalValue: any) => {
return originalValue !== value;
},
save: () => { }
}));
return (
<TextField
className="number_editor"
variant="standard"
defaultValue={value}
type="number"
slotProps={{ htmlInput: { min: 1, max: 99999, background: "white" } }}
autoFocus
onChange={e => setValue(e.target.value)}
/>
);
}
);
export default DurationEditor;
src/examples/inline-editors/InlineEditors/DateEditor.tsx View on GitHub
import React, {
useState,
forwardRef,
useImperativeHandle,
Ref
} from 'react';
import { InlineEditorMethods, InlineEditorProps } from '@dhtmlx/trial-react-gantt';
import { LocalizationProvider } from "@mui/x-date-pickers";
import { AdapterDayjs } from "@mui/x-date-pickers/AdapterDayjs";
import { DatePicker } from "@mui/x-date-pickers/DatePicker";
import dayjs from "dayjs";
const DateEditor = forwardRef<InlineEditorMethods, InlineEditorProps>(
({ initialValue, task, save, cancel, ganttInstance }, ref) => {
const [value, setValue] = useState(initialValue || "");
useImperativeHandle(ref, (): InlineEditorMethods => ({
getValue: () => value,
setValue: (val: any) => setValue(val),
isValid: () => true,
focus: () => {
},
isChanged: (originalValue: any) => {
return originalValue !== value;
},
save: () => { }
}));
return (
<LocalizationProvider dateAdapter={AdapterDayjs}>
<DatePicker
className="date_picker"
value={dayjs(value)}
open={true}
format="DD-MM-YYYY"
onChange={(newValue: any) => {
setValue(dayjs(newValue).toDate());
save();
}}
slotProps={{
textField: {
size: 'small',
},
}}
autoFocus
/>
</LocalizationProvider>
);
}
);
export default DateEditor;
src/examples/inline-editors/Styles.css View on GitHub
.gantt_grid_editor_placeholder,
.gantt_grid_editor_placeholder div {
background: white;
}

Angular/Inline editors
Loading live demo…from dhtmlx.github.io
Angular
Inline editors
Edit task text, dates, and duration directly in the grid with built-in column editors.
- inline-editors.ts
- inline-editors.html
- inline-editors.css
src/app/samples/inline-editors/inline-editors.ts View on GitHub
import { Component, ViewEncapsulation } from '@angular/core';
import { createBasicDemoData } from '../../shared/demo-data';
import { DhxGanttComponent } from '@dhtmlx/trial-angular-gantt';
@Component({
selector: 'inline-editors',
standalone: true,
imports: [DhxGanttComponent],
templateUrl: './inline-editors.html',
styleUrl: './inline-editors.css',
encapsulation: ViewEncapsulation.None
})
export class EditorComponent {
private readonly initial = createBasicDemoData();
tasks = this.initial.tasks;
links = this.initial.links;
config = {
columns: [
{ name: "text", label: "Task name", tree: true, width: "*", editor: { type: "text", map_to: "text" } },
{ name: "start_date", label: "Start", align: "center", editor: { type: "date", map_to: "start_date", min: new Date(2025, 0, 1), max: new Date(2026, 0, 1) } },
{ name: "duration", label: "Duration", align: "center", editor: { type: "number", map_to: "duration", min: 0, max: 100 } },
{ name: "add", width: 44 },
],
date_format: "%Y-%m-%d %H:%i",
};
}
src/app/samples/inline-editors/inline-editors.html View on GitHub
<div class="card">
<div class="gantt-host">
<dhx-gantt style="height:600px" [tasks]="tasks" [links]="links" [config]="config">
</dhx-gantt>
</div>
</div>
src/app/samples/inline-editors/inline-editors.css View on GitHub
@import "@dhtmlx/trial-angular-gantt/dist/angular-gantt.css";
.dhx-gantt-root {
height: 100%;
width: 100%;
}